Name: vyqchat
Version: 0.2.6
Release: alt4

Summary: VyQChat is a real-time, text-based, serverless chat program dedicated to LANs
License: GPL
Group: Networking/Chat
Url: http://linux.bydg.org/~yogin/vyqchat
Packager: Andrey Semenov <mitrofan@altlinux.ru>

Source: %name-%version.tar.gz
Source1: %name.menu
Source2: %name.xpm

Patch1: %name.patch1
Patch2: %name.patch2
Patch3: %name.patch3
Patch4: %name.patch4
Patch5: %name.patch5

Requires: sound_handler
# Automatically added by buildreq on Wed May 05 2004
BuildRequires: XFree86-devel XFree86-libs fontconfig
BuildRequires: freetype2 gcc-c++ glib2-devel  libao-devel libarts-devel
BuildRequires: libqt3-devel libsndfile-devel libstdc++-devel pkgconfig

%description
VyQChat is a real-time, text-based, serverless chat program dedicated to
LANs, that runs on Linux using Qt/X11 library. It is almost 100%
compatible with Vypress Chat(TM) for Windows. It allows you to chat with
friends on public or private channels, send and recieve messages etc.
The GUI is meant to be user-friendly and lets you to do most things with
mouse. There is also optional sound support.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build
%configure --with-arts --with-libao
%make_build

%install
%makeinstall
%__install -pD -m644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m644 %SOURCE2 %buildroot%_datadir/pixmaps/%name.xpm

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog NEWS README THANKS TODO FAQ README-KEYS
%_bindir/%name
%_datadir/%name
%_datadir/pixmaps/%name.xpm
%_menudir/%name

%changelog
* Sat Jun 5 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.6-alt4
- fixed confirm exit bug

* Sun May 30 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.6-alt3
- rebuild with libao
- small bugs fixed, thanks to Eugene V. Horohorin

* Wed May 26 2004 Eugene V. Horohorin <genix@altlinux.ru> 0.2.6-alt2
- arts-server support added
- soundwrapper'ed playing sound

* Tue May 4 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.6-alt1
- 0.2.6
- fixed small bug with recieving messages
- added history window (Edit->Commands history)
- added Save option for channel context menu
- UTF-8 character encoding support

* Mon Jan 12 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.2.5-alt1
- 0.2.5
- fixed small bug with packet id (thanks to Mindaugas Januaitis for pointing it)
- "leave" option in channel menu works for private channels now, too
- added nick box for easy nick change
- added history for chat line
- added .def file for buildpkg package system
- small cleanups and improvements in settings handling

* Sun Dec 28 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2.4-alt1
- 0.2.4
- new option, "character encoding"
- added context menu with "leave" action for channels
- keyboard shortcuts for "Send" buttons
- small code cleanups
- improved Makefile.am to handle 'make dist' correctly

* Fri Dec 19 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2.3-alt1
- 0.2.3
- added slider for chat window and users list
- fixed configure script to fail when Qt is not installed

* Mon Nov 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2.2-alt1
- 0.2.2
- ability to show/hide toolbar and users list added (new menu option: "View")
- tabs have now different icons to indicate activity on channels
- fixed bug with "#" not appended to channels list in user info
- minor code cleanups in settings handling code
- updated bnv_have_qt configure macro (v1.3)

* Wed Nov 12 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2.1-alt1
- 0.2.1
- improved protocol compatibility
- "Chat" button in received message window
- new action, "Say nick:" in user list context menu
- support for Mass Messages
- icons for "Message" and "Mass Message" actions

* Sun Oct 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.1.2-alt1
- 0.1.2
- fixed bug that caused crash when changing the nick
- fixed bug with wrong nick in message ack
- support for character encodings other than ISO-8859-1
- new, better settings dialog; sounds can be set now
- added an option to use external command for playing sounds

* Mon Oct 6 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.1.1-alt1
- First version of RPM package

